#Server configuration
server.servlet.context-path=/SpringMVC
server.port=8081
### DATABASE ###
#spring.datasource.driver-class-name=com.mysql.jdbc.Driver
spring.datasource.url=jdbc:mysql://localhost:3306/testF?useUnicode=true&useJDBCCompliantTimezoneShift=true&useLegacyDatetimeCode=false&serverTimezone=UTC
spring.datasource.username=root
spring.datasource.password=0000
### JPA / HIBERNATE ###
spring.jpa.show-sql=true
spring.jpa.hibernate.ddl-auto=update
spring.jpa.properties.hibernate.dialect=org.hibernate.dialect.MySQL5InnoDBDialect

spring.jpa.properties.hibernate.enable_lazy_load_no_trans=true


#logging configuration
logging.level.com.zaxxer.hikari=warn
logging.level.org.springframework=warn 

#level : TRACE, DEBUG, INFO, WARN, ERROR, FATAL
logging.level.root=INFO
logging.pattern.console=%d{yyyy-MM-dd HH:mm:ss} - %-5level - %logger{60} - %msg%n



#logging configuration
logging.file=C:/LOG/spring_log_file.log
logging.file.max-size= 100KB


